title: Articles
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
      -
        handle: image
        field:
          mode: grid
          container: assets
          folder: articles
          restrict: false
          allow_uploads: true
          max_files: 1
          display: Image
          type: assets
          icon: assets
          listable: hidden
      -
        handle: content
        field:
          collapse: false
          sets:
            title:
              display: Titre
              fields:
                -
                  handle: size
                  field:
                    options:
                      t1: 'Titre 1'
                      t2: 'Titre 2'
                      t3: 'Titre 3'
                    multiple: false
                    max_items: 1
                    clearable: false
                    searchable: true
                    taggable: false
                    push_tags: false
                    cast_booleans: false
                    display: Taille
                    type: select
                    icon: select
                    listable: hidden
                -
                  handle: text
                  field:
                    input_type: text
                    antlers: false
                    display: Text
                    type: text
                    icon: text
                    listable: hidden
            p:
              display: Paragraphe
              fields:
                -
                  handle: text
                  field:
                    restrict: false
                    automatic_line_breaks: true
                    automatic_links: false
                    escape_markup: false
                    smartypants: false
                    antlers: false
                    display: Markdown
                    type: markdown
                    icon: markdown
                    listable: hidden
            contact:
              display: Contact
              fields:
                -
                  handle: id
                  field:
                    input_type: text
                    antlers: false
                    display: Id
                    type: text
                    icon: text
                    width: 50
                    listable: hidden
                -
                  handle: name
                  field:
                    input_type: text
                    antlers: false
                    display: Nom
                    type: text
                    icon: text
                    width: 50
                    listable: hidden
                -
                  handle: text
                  field:
                    input_type: text
                    antlers: false
                    display: Text
                    type: text
                    icon: text
                    listable: hidden
            article:
              display: Article
              fields:
                -
                  handle: entries
                  field:
                    max_items: 1
                    mode: default
                    collections:
                      - articles
                    display: Entries
                    type: entries
                    icon: entries
                    listable: hidden
          display: Contenu
          type: replicator
          icon: replicator
          listable: hidden
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          required: true
          localizable: true
          validate:
            - required
      -
        handle: author
        field:
          type: users
          display: Author
          default: current
          localizable: true
          max_items: 1
      -
        handle: hidden
        field:
          display: Hidden
          type: toggle
          icon: toggle
          listable: hidden
      -
        handle: theme
        field:
          options:
            TAG_COMING_OUT: 'Coming Out'
            TAG_SEXUALITY: Sexualité
            TAG_HEALTH: Santé
            TAG_VIOLENCE: Violance
            TAG_PREVENTION: Prévention
            TAG_RELIGION: Religion
          multiple: true
          clearable: true
          searchable: true
          taggable: false
          push_tags: false
          cast_booleans: false
          display: Thème
          type: select
          icon: select
          listable: hidden
      -
        handle: score
        field:
          display: Score
          type: integer
          icon: integer
          listable: hidden
  options:
    display: Options
    fields:
      -
        handle: gender
        field:
          options:
            GENDER_DONT_KNOW: 'Ne sait pas'
            GENDER_DOESNT_WISH_TO_ANSWER: 'Ne souhaite pas répondre'
            GENDER_MAN: Homme
            GENDER_WOMAN: Femme
            GENDER_TRANS_MAN: 'Trans homme'
            GENDER_TRANS_WOMAN: 'Trans femme'
            GENDER_QUEER: Queer
            GENDER_NON_BINARY: Non-binaire
            GENDER_ALL: 'Pour tou.te.s'
          multiple: true
          clearable: true
          searchable: true
          taggable: false
          push_tags: false
          cast_booleans: false
          display: Genre
          type: select
          icon: select
          listable: hidden
      -
        handle: orientation
        field:
          options:
            ORIENTATION_DONT_KNOW: 'Ne sait pas'
            ORIENTATION_DOESNT_WISH_TO_ANSWER: 'Ne souhaite pas répondre'
            ORIENTATION_GAY: Gay
            ORIENTATION_BI: Bi
            ORIENTATION_LESBIAN: Lesbienne
            ORIENTATION_ALL: 'Pour tou.te.s'
          multiple: true
          clearable: true
          searchable: true
          taggable: false
          push_tags: false
          cast_booleans: false
          display: Orientation
          type: select
          icon: select
          listable: hidden
      -
        handle: county
        field:
          options:
            VS: Valais
            FR: Fribourg
            JU: Jura
            NE: Neuchâtel
            GE: Genève
            VD: Vaud
            ALL: 'Pour tou.te.s'
          multiple: true
          clearable: true
          searchable: true
          taggable: false
          push_tags: false
          cast_booleans: false
          display: Canton
          type: select
          icon: select
          listable: hidden
      -
        handle: age_min
        field:
          step: 1
          min: 0
          max: 100
          default: 16
          display: 'Age minimum'
          type: range
          icon: range
          listable: hidden
      -
        handle: age_max
        field:
          step: 1
          min: 0
          max: 100
          default: 20
          display: 'Age maximum'
          type: range
          icon: range
          listable: hidden
  scoring:
    display: Scoring
    fields:
      -
        handle: score_gender
        field:
          display: 'Score genre'
          type: integer
          icon: integer
          listable: hidden
      -
        handle: score_county
        field:
          display: 'Score canton'
          type: integer
          icon: integer
          listable: hidden
      -
        handle: score_orientation
        field:
          display: 'Score orientation'
          type: integer
          icon: integer
          listable: hidden
      -
        handle: score_age
        field:
          display: 'Score Age'
          type: integer
          icon: integer
          listable: hidden
